package yangtz.cs.liu.campus.service.purchase;

import com.baomidou.mybatisplus.extension.service.IService;
import yangtz.cs.liu.campus.domain.purchase.SchoolPurchase;
import yangtz.cs.liu.campus.domain.teacher.SchoolTeacherLeave;
import yangtz.cs.liu.campus.vo.purchase.PurchaseVo;
import yangtz.cs.liu.campus.vo.purchase.SchoolPurchaseVo;
import yangtz.cs.liu.wechat.vo.common.WorkFlowVo;

import java.util.List;
import java.util.Map;

public interface ISchoolPurchaseService extends IService<SchoolPurchase> {
    /**
     * 新增采购申请
     * */
    public int insertSchoolPurchase(PurchaseVo purchase);

    /**
     * 修改采购申请
     * */
    public int editSchoolPurchase(PurchaseVo purchase);

    public int addPurchase(SchoolPurchase schoolPurchase);

    public List<SchoolPurchase> selectListRegister(SchoolPurchase schoolPurchase);

    public int submitApply(SchoolPurchase schoolPurchase , String username, String key, Map<String, Object> variables);

    public List<SchoolPurchaseVo> toDoList(String key, SchoolPurchase entity, String userId);

    public List<SchoolPurchaseVo> DoneList(String key, SchoolPurchase schoolPurchase, String userId);

    public List<SchoolPurchaseVo> findTasks(String key, String userId);

    public List<SchoolPurchaseVo> queryList(String submitState,SchoolPurchase schoolPurchase);

    public List<SchoolPurchase> findPurchaseName(Long handUserId);

    WorkFlowVo purchaseFlows(Long id);

    public List<SchoolPurchaseVo> selectPurchaseList(SchoolPurchase schoolPurchase);
}
